org.apache.hadoop.yarn.api.protocolrecords

## Class GetAllResourceProfilesResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetAllResourceProfilesResponse
      extends Object

  Response class for getting all the resource profiles from the RM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAllResourceProfilesResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `abstract Map<String,Resource>` | `getResourceProfiles()`
    `int` | `hashCode()`
    `static GetAllResourceProfilesResponse` | `newInstance()`
    `abstract void` | `setResourceProfiles(Map<String,Resource> profiles)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAllResourceProfilesResponse

          public GetAllResourceProfilesResponse()

  - ### Method Detail

    - #### newInstance

          public static GetAllResourceProfilesResponse newInstance()

    - #### setResourceProfiles

          public abstract void setResourceProfiles(Map<String,Resource> profiles)

    - #### getResourceProfiles

          public abstract Map<String,Resource> getResourceProfiles()

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.